Subject: bug#6193: closed (Re: bug#6193: emacs 23 in ubuntu 10.04 gnu linux: black lines overwrite text!)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 11 Jul 2011 23:25:02 +0000

Your bug report

#6193: emacs 23 in ubuntu 10.04 gnu linux: black lines overwrite text!

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
6193: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=6193
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#6193: emacs 23 in ubuntu 10.04 gnu linux: black lines overwrite text!
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Mon, 11 Jul 2011 19:24:06 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Kjetil brinchmann Halvorsen wrote:

> A very short followup: Today the same (apparently) problem started to appear
> in another program,
> open office calc (which I use sparinlgly to communicate with windows types).
> Same symproms as with emacs,
> but a little less annoying. \Might this be a gnome problem?

Or it might be a problem with your video card/drivers.

Eg (old issues, but similar kind of thing)

https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-ati/+bug/55073
http://lists.gnu.org/archive/html/emacs-devel/2007-08/msg00646.html

Anyway, I don't think there's anything we can do to help.
It sounds more like the kind of thing to report to Ubuntu.

Subject: emacs 23 in ubuntu 10.04 gnu linux: black lines overwrite text!
From: Kjetil brinchmann Halvorsen <[email-masked]>
To: [email-masked]
Date: Fri, 14 May 2010 14:12:22 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

To: [email-masked]
Subject: 23.1; emacs 23 in ubuntu gnu linux: black lines overwrite text!
--text follows this line--
at starting up emacs 23, black lines are overwriting the text in text
buffers,
rendering it impossible to use emacs. emacs do not crash.
Sometimes, the error do not occur and I can use emacs, but it is difficult
to describe exactly under which circumstances it occur and not.
I reported the problem on the ubuntu help mailing list, and got one
response confirming the problem. at the link
http://www.zvisionwelt.de/tmpdownloads/Emacs23-Lucid.png
there is a screenshot showing the problem.

this is ubuntu 10.04, with the official emacs from ubuntu.

kjetil brinchmann halvorsen
[email-masked]

In GNU Emacs 23.1.1 (i486-pc-linux-gnu, GTK+ Version 2.20.0)
 of 2010-03-29 on rothera, modified by Debian
Windowing system distributor `The X.Org Foundation', version 11.0.10706000
configured using `configure  '--build=i486-linux-gnu'
'--host=i486-linux-gnu' '--prefix=/usr' '--sharedstatedir=/var/lib'
'--libexecdir=/usr/lib' '--localstatedir=/var/lib'
'--infodir=/usr/share/info' '--mandir=/usr/share/man' '--with-pop=yes'
'--enable-locallisppath=/etc/emacs23:/etc/emacs:/usr/local/share/emacs/23.1/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/23.1/site-lisp:/usr/share/emacs/site-lisp:/usr/share/emacs/23.1/leim'
'--with-x=yes' '--with-x-toolkit=gtk' '--with-toolkit-scroll-bars'
'build_alias=i486-linux-gnu' 'host_alias=i486-linux-gnu' 'CFLAGS=-DDEBIAN -g
-O2' 'LDFLAGS=-g' 'CPPFLAGS=''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.utf8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: Fundamental

Minor modes in effect:
  show-paren-mode: t
  global-auto-revert-mode: t
  display-time-mode: t
  display-battery-mode: t
  cua-mode: t
  shell-dirtrack-mode: t
  tooltip-mode: t
  tool-bar-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  blink-cursor-mode: t
  global-auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo>
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo>
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo>
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo>
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo>
<help-echo> <help-echo> <help-echo> M-x r e p o r t
- e m a c s - b u g <return>

Recent messages:
Loading /etc/emacs/site-start.d/50pspp.el (source)...done
Loading /etc/emacs/site-start.d/50psvn.el (source)...done
Loading /etc/emacs/site-start.d/50python-docutils.el (source)...done
enabling speedbar support
Loading cua-base...done
Loading battery...done
Loading time...done
Loading autorevert...done
Loading paren...done
For information about GNU Emacs and the GNU system, type C-h C-a.

-- 
The good Christian should beware of mathematicians, and all those who make
empty prophecies. The danger already exists that the mathematicians have
made a covenant with the devil to darken the spirit and to confine man in
the bonds of Hell.

St. Augustine, De Genesi ad Litteram, Book II, xviii, 37